$font-stack:    IRANSansWeb
$primary-color: #333
$dark-red-color: #a3362a
$light-red-color: #e04f67
$white-color: #fff
$smoke-color: #c6c6c6
$transparent-RGB-color: rgba(0, 0, 0, 0)
$black-RGB-color: rgba(0, 0, 0, .9)
$search-icon-font-size: 1.5rem !important
$other-tour-font-size: 22px
$medium-font-size: 12px
$large-font-size: 16px
@font-face        { font-family: IRANSansWeb; src: url(.././src/font/IRANSansWeb.ttf);}
$tour-selection-container-shadow: rgba(0, 0, 0, .1)
$default-line-height: 20px
$social-line-height: 30px
$background-color: #f9f9f9
$text-color: #565a5c
$yellow-color: #fdf7ac
$header-steaky-box-shadow: rgba(0, 0, 0, .41)
$social-footer-RGB-line: rgba(255, 255, 255, .2)
$tour-height: 300px

.position-absolute
  position: absolute

.position-relative
  position: relative

.position-fixed
  position: fixed

header
    @extend .position-fixed
    left: 0
    top: 0

.bfont
    font-family: $font-stack

/* Avoid bullet pointing list */
.other_tours ul,
.list_order li,
footer ul
	list-style: none

.list_order
  margin: 0 0 30px
  padding: 0
  line-height: $default-line-height
  font-size: $medium-font-size
  li
    @extend .position-relative
    padding-left: 40px
    margin-bottom: 10px

.margin_60
    padding-top: 60px
    padding-bottom: 60px

.margin_30
    margin-top: 30px
    margin-bottom: 30px

.tour_container
    background-color: $white-color
    -webkit-box-shadow: 0 0 5px 0 $tour-selection-container-shadow
    -moz-box-shadow: 0 0 5px 0 $tour-selection-container-shadow
    box-shadow: 0 0 5px 0 $tour-selection-container-shadow
    margin: 0 0 30px
    .tour_title
        padding: 15px
        @extend .position-relative
        .rating
            font-size: $large-font-size
            margin-left: -3px
        h3
            margin: 0
            font-size: $large-font-size
            text-transform: uppercase

.img_container
    @extend .position-relative
    overflow: hidden
    border: 1px solid $white-color
    text-align: center
    a:hover img
        -webkit-transform: scale(1)
        transform: scale(1)
    img
        -webkit-transform: scale(1.2)
        transform: scale(1.2)
        -webkit-transition: all .5s ease
        transition: all .5s ease
        -webkit-backface-visibility: hidden

.ribbon_3
    @extend .position-absolute
    left: 10px
    top: -5px
    z-index: 1
    overflow: hidden
    width: 75px
    height: 75px
    text-align: right
    span
        font-size: $medium-font-size
        color: $white-color
        text-align: center
        -webkit-transform: rotate(-45deg)
        width: 100px
        display: block
        @extend .position-absolute
        top: 19px
        left: -21px

.ribbon_3.popular span
    background: linear-gradient($light-red-color 0, $light-red-color 100%)

.search-overlay-menu
    @extend .position-fixed
    top: 0
    left: 0
    width: 100%
    height: 20%
    background-color: $black-RGB-color
    -webkit-transition: transform .3s ease 0s, opacity .3s ease 0s, visibility 0s ease .3s
    -moz-transition: transform .3s ease 0s, opacity .3s ease 0s, visibility 0s ease .3s
    -ms-transition: transform .3s ease 0s, opacity .3s ease 0s, visibility 0s ease .3s
    -o-transition: transform .3s ease 0s, opacity .3s ease 0s, visibility 0s ease .3s
    transition: transform .3s ease 0s, opacity .3s ease 0s, visibility 0s ease .3s
    opacity: 0
    visibility: hidden
    z-index: 999999
    text-align: center
    input[type=search]
        height: 100%
        width: 100%
        color: $white-color
        background: 0 0
        border-top: 0 solid transparent
        border-left: 0 solid transparent
        border-right: 0 solid transparent
        outline: 0
        padding: 10px 0
    div
        height: 70px
        @extend .position-absolute
        top: 50%
        margin: -35px auto 0
        width: 60%
        left: 20%
        transform: translateY(20px)
        -moz-transform: translateY(20px)
        -ms-transform: translateY(20px)
        -o-transform: translateY(20px)
        -webkit-transform: translateY(20px)
        transition: all .3s ease-in-out 0s
        -moz-transition: all .3s ease-in-out 0s
        -o-transition: all .3s ease-in-out 0s
        -webkit-transition: all .3s ease-in-out 0s
        button
            background: $transparent-RGB-color
            border: none
            @extend .position-absolute
            top: 20px
            color: $smoke-color
            outline: 0
            left: 0px

.search-overlay-close
    @extend .position-absolute
    top: 20px
    right: 20px
    opacity: 1
    font-size: $search-icon-font-size
    color: $smoke-color
    &:hover
        color: $light-red-color
        cursor: pointer

.search-overlay-menu.open
    opacity: 1
    visibility: visible
    -webkit-transition: opacity .3s ease 0s, transform .3s ease 0s
    -moz-transition: opacity .3s ease 0s, transform .3s ease 0s
    -ms-transition: opacity .3s ease 0s, transform .3s ease 0s
    -o-transition: opacity .3s ease 0s, transform .3s ease 0s
    transition: opacity .3s ease 0s, transform .3s ease 0s
    div
        transform: translateY(0)
        -moz-transform: translateY(0)
        -ms-transform: translateY(0)
        -o-transform: translateY(0)
        -webkit-transform: translateY(0)
    form
        transform: translateY(0)
        -moz-transform: translateY(0)
        -ms-transform: translateY(0)
        -o-transform: translateY(0)
        -webkit-transform: translateY(0)

.other_tours ul
    padding: 0
    margin: 0
    li a
        border-bottom: 1px solid #ededed
        padding: 5px 0 10px
        display: block
        color: #333
        &:hover
            background-color: $background-color
            color: $light-red-color
        i
            font-size: $other-tour-font-size
            margin-right: 5px
            margin-left: 2px
            top: 5px
    li:last-child a
        border-bottom: none

.btn-secondary
    background-color: transparent !important
    border-color: transparent !important

.touritem
    background-color: white
    margin-top: 5px
    margin-bottom: 5px
    min-height: $tour-height
    padding-top: 10px
    padding-right: 10px

.loadingimageattrs
  @extend .position-fixed
  top: 20%
  left: 50%
  z-index: 1
  height: 50px
  width: 50px

.loadingimage
  @extend .loadingimageattrs
  display: block

.notloadingimage
  @extend .loadingimageattrs
  display: none

.tour-title
    color: $light-red-color

#tour_box
  margin-top: 110px

/* Avoid underlining a */
a
  text-decoration: none
  &:focus
    text-decoration: none
  &:hover
    text-decoration: none

body
    background: $background-color
    font-size: $medium-font-size
    line-height: $default-line-height
    color: $text-color

.main_title
    text-align: center
    margin-bottom: 30px

p
    margin: 0 0 20px

.form-control
    font-size: $medium-font-size
    color: $white-color
    height: 40px
    border-radius: 3px

.laptop
    margin: 20px auto auto
    max-width: 100%

#social_footer
    border-top: 1px solid $social-footer-RGB-line
    padding-top: 30px
    margin-top: 30px
    ul
        margin: 0
        padding: 0 0 10px
        li
            display: inline-block
            margin: 0 5px 10px
            a
                color: $white-color
                line-height: $social-line-height
                display: block
                font-size: $large-font-size
                width: 35px
                height: 35px
                border: 1px solid rgba(255, 255, 255, .3)
                -webkit-border-radius: 50%
                -moz-border-radius: 50%
                border-radius: 50%
                &:hover
                    border: 1px solid $white-color
                    background: $white-color
                    color: $black-RGB-color

footer
    background: url(/img/pattern.png) #333
    color: $white-color
    padding: 30px 0 10px
    h3
        font-size: $large-font-size
        color: $white-color
    a
        color: $white-color
        &:hover
            color: #999
    ul
        margin: 0
        padding: 0 0 10px

h3
  font-size: $large-font-size

a#email_footer:hover,
a#phone:hover,
footer a
	color: $white-color
a#email_footer,
a#phone
	display: block
	@extend .position-relative
	color: $yellow-color
	font-size: $medium-font-size
	padding-left: 40px
	margin: 20px 0

a#forgot_pw
    color: #999!important
    font-size: $medium-font-size
    padding: 0
    margin: -5px 0 10px
    display: block
    &:hover
        color: #333!important

header#plain
	&.sticky
		-webkit-box-shadow: 0 2px 10px -2px $header-steaky-box-shadow
		-moz-box-shadow: 0 2px 10px -2px $header-steaky-box-shadow
		box-shadow: 0 2px 10px -2px $header-steaky-box-shadow
		background-color: $white-color
		@extend .position-fixed
		left: 0
		top: 0
		z-index: 99999
		#logo
			.logo_normal
				display: none
			.logo_sticky
				display: block
	#top_line
		color: #888
		border-bottom: 1px solid $tour-selection-container-shadow
	ul#top_links
		li
			border-left: 1px solid $tour-selection-container-shadow
			&:first-child
				border-left: none
		a
			color: #888

.fasize
  font-size: $search-icon-font-size


.btn_1,
a.btn_1
	border: none
	color: $white-color
	background: #51bce6
	cursor: pointer
	padding: 7px 20px
	display: inline-block
	outline: 0
	font-size: $medium-font-size
	-webkit-transition: all .3s
	-moz-transition: all .3s
	transition: all .3s
	-webkit-border-radius: 3px
	-moz-border-radius: 3px
	border-radius: 3px
	text-transform: uppercase
.btn_1:hover,
a.btn_1:hover
	background: #333

.sticky ul#top_tools a,
header#plain ul#top_links:hover a,
header#plain ul#top_tools a
	color: #333

#logo
    margin-top: 10px

#logo_home h1
    margin: 10px 0 0
    padding: 0

nav
	margin-top: 20px
.sticky
	nav
		margin-top: 10px
	#logo
		margin-top: 0
		margin-bottom: 10px

.subheader_plain
    margin-top: 60px

.dropdown-access
	.dropdown-menu
		border: none
		-webkit-border-radius: 0
		-moz-border-radius: 0
		border-radius: 0
		float: right
		left: auto
		min-width: 0
		padding: 15px
		right: 0
		width: 250px
		top: 100%
		font-size: $medium-font-size
		text-shadow: none
		text-transform: none!important
		border-top: 2px solid $light-red-color
.dropdown-
	.dropdown-menu
		margin-top: 7px
.dropdown-search
	.dropdown-menu
		margin-top: 15px
		right: -25px

#social_footer,
#social_footer ul,
#social_footer ul li a
	text-align: center

header
	width: 100%
	z-index: 99999
	&.sticky
		#logo
			.logo_sticky
				display: block
header#plain,
header.sticky
	padding-bottom: 0
	background-color: $white-color
header #logo .logo_sticky,
header.sticky #logo .logo_normal
	display: none

#logo_home h1 a,
header#colored #logo_home h1 a,
header#plain #logo_home h1 a,
header.sticky #logo_home h1 a
	width: 50px
	height: 67px
	display: block
	background-image: url(./img/logo.png)
	background-repeat: no-repeat
	background-position: left top
	background-size: 50px 67px
	text-indent: -9999px
header
	&.sticky
		#logo_home
			h1
				margin: 0 0 10px
				padding: 0
	&.sticky#colored
		#logo_home
			h1
				a
					background-image: url(/img/logo_sticky_colored.png)
header#plain #logo_home h1 a,
header.sticky #logo_home h1 a
	background-image: url(./img/logo_sticky.png)
	background-size: 25px 34px
	width: 25px
	height: 34px

@media only screen and (min--moz-device-pixel-ratio:2),
only screen and (-o-min-device-pixel-ratio:2/1),
only screen and (-webkit-min-device-pixel-ratio:2),
only screen and (min-device-pixel-ratio:2)
	#logo_home h1 a,
    header#colored #logo_home h1 a
        background-image: url(./img/logo_2x.png)
	background-size: 160px 34px
header#plain #logo_home h1 a,
header.sticky #logo_home h1 a
	background-image: url(./img/logo_sticky_2x.png)
	background-size: 25px 34px
	width: 25px
	height: 34px
header
	&.sticky#colored
		#logo_home
			h1
				a
					background-image: url(/img/logo_sticky_colored_2x.png)
					background-size: 160px 34px

header
	&.sticky
		-webkit-box-shadow: 0 2px 10px -2px $header-steaky-box-shadow
		-moz-box-shadow: 0 2px 10px -2px $header-steaky-box-shadow
		box-shadow: 0 2px 10px -2px $header-steaky-box-shadow
		#top_line
			height: 0
			overflow: hidden
			padding: 0
			opacity: 0
			transition: all .2s ease-in-out
			-moz-transition: all .2s ease-in-out
			-webkit-transition: all .2s ease-in-out
			-o-transition: all .2s ease-in-out
header#colored
	&.sticky
		background-color: $light-red-color
		padding-bottom: 0
		border-bottom: 2px solid $light-red-color
		ul#top_tools
			a
				color: $white-color

ul#top_tools
	padding: 0
	@extend .position-absolute
	right: 15px
	top: 10px
	z-index: 999
	li
		display: inline-block
		padding: 0 10px

#top_line,
ul#top_links a
	color: $white-color
#top_line
	height: 28px
	background-color: #283645
	border-bottom: 1px solid $social-footer-RGB-line
	font-size: $medium-font-size
	visibility: visible
	opacity: 1
	margin-bottom: 5px
	z-index: 999999
ul#top_links
	margin: 0
	padding: 0
	float: right
	li
		display: inline-block
		border-left: 1px solid rgba(255, 255, 255, .3)
		margin-right: 5px
		padding-left: 8px
		&:first-child
			border-left: none
			padding-left: 0
	a
		&:hover
			color: $light-red-color
